Update the merchant
PUT
Updates the fields a merchant may change. Read-only fields are ignored.
apiKeyheader
AuthorizationBasic <token>HTTP Basic authentication with an API key or the id of a user token as the username and an empty password.
merchant_id*stringThe ID of the merchant, or self for the merchant of the credentials.
application/json- body
external_merchant_id?|Your identifier of the merchant.
phone_numbers?array<string>contact_persons?The contact persons of the merchant.
locale?|POSIX locale or RFC 5646 language tag.
timezone?string|nullbank_account?payout_scheme?How often the merchant is paid out.
tags?Key-value tags of the merchant.
The updated merchant.
application/json- response
id?stringFormat
uuidcreated?stringFormat
date-timemodified?|Format
date-timestatus?stringValue in
"pending""active""ending""ended""inactive"company_name?stringexternal_merchant_id?|Your identifier of the merchant.
email?stringaddresses?array<>phone_numbers?array<string>website_url?stringchamber_of_commerce_number?string|nullvat_number?string|nullcontact_persons?The contact persons of the merchant.
locale?|POSIX locale or RFC 5646 language tag.
timezone?string|nullbank_account?payout_scheme?How often the merchant is paid out.
priceplan_id?string|nullbase_permissions?The maximum permissions within the merchant. Set by the operator.
contracts?tags?Key-value tags of the merchant.
curl -X PUT 'https://api.example.com/v1/merchants/self/' \ --user "$API_KEY:" \ -H 'Content-Type: application/json' \ -d '{ "phone_numbers": [ "+31201234567" ], "payout_scheme": { "frequency": "monthly", "monthdays": [ 1 ] }}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created": "2019-08-24T14:15:22Z", "modified": "2019-08-24T14:15:22Z", "status": "pending", "company_name": "string", "external_merchant_id": "string", "email": "string", "addresses": [ { "address": "string", "country": "string" } ], "phone_numbers": [ "string" ], "website_url": "string", "chamber_of_commerce_number": "string", "vat_number": "string", "contact_persons": {}, "locale": "string", "timezone": "string", "bank_account": { "iban": "string" }, "payout_scheme": { "frequency": "string", "weekdays": [ "string" ], "monthdays": [ 0 ] }, "priceplan_id": "string", "base_permissions": { "property1": { "GET": true, "POST": true, "PUT": true, "DELETE": true, "*": true }, "property2": { "GET": true, "POST": true, "PUT": true, "DELETE": true, "*": true } }, "contracts": {}, "tags": {}}